// CHANGED 2004-08-06 Lutz Rogowski
#ifndef VIEWMAILBASE_H
#define VIEWMAILBASE_H

#include <q3mainwindow.h>
//Added by qt3to4:
#include <Q3PopupMenu>
#include <QKeyEvent>

#ifndef DESKTOP_VERSION
#include <qpe/qpemenubar.h>
#define QMenuBar QPEMenuBar
#endif

class QAction;
class OpenDiag;
class Q3ListView;
class Q3ToolBar;
class Q3TextBrowser;
class QMenuBar;
class Q3PopupMenu;

class ViewMailBase : public Q3MainWindow
{
	Q_OBJECT

public:
	ViewMailBase(QWidget *parent = 0, const char *name = 0, Qt::WFlags fl = 0);

protected:
	QAction *reply, *forward, *attachbutton, *deleteMail, *showHtml, *closeMail, *nextMail, *downloadMail, *viewSource;
	Q3ListView *attachments;
	Q3ToolBar *toolbar;
	Q3TextBrowser *browser;
	OpenDiag *openDiag;
 	QMenuBar *menubar;
    Q3PopupMenu *mailmenu;

protected slots:
	void slotChangeAttachview(bool state);
    virtual void keyPressEvent ( QKeyEvent * e );


};

#endif

