#ifndef MICROKDE_KTEXTEDIT_H
#define MICROKDE_KTEXTEDIT_H

#include <q3multilineedit.h>
//Added by qt3to4:
#include <QMouseEvent>

class KTextEdit : public Q3MultiLineEdit
{
  public:
    KTextEdit( QWidget *parent )  ;
    void setIgnoreMark( bool b ) { mIgnoreMark = b; }

 private:
    bool mAllowPopupMenu;
    bool mMouseDown;
    bool mIgnoreMark;
    int mYMousePos;
    int mXMousePos;
    void mousePressEvent(QMouseEvent *e);
    void mouseReleaseEvent(QMouseEvent *e);
    void mouseMoveEvent(QMouseEvent *e);
};

#endif
