/***************************************************************************
 *                                                                         *
 *   copyright (C) 2003 by Michael Buesch                                  *
 *   email: fsdeveloper@yahoo.de                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

/***************************************************************************
 * copyright (C) 2004 by Ulf Schenk
 * This file is originaly based on version 1.0.1 of pwmanager
 * and was modified to run on embedded devices that run microkde
 *
 * $Id$
 **************************************************************************/  

#ifndef GETKEYCARDWND_H
#define GETKEYCARDWND_H

#include <q3vbox.h>
#include <q3hbox.h>
#include <qdialog.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qevent.h>
//Added by qt3to4:
#include <QResizeEvent>

/** The equivalent to GetMasterPwWndImpl for chipcards */
class GetKeyCardWnd : public QDialog
{
	Q_OBJECT
public:
	GetKeyCardWnd(QWidget *parent = 0, const char *name = 0,
		      bool modal = FALSE, Qt::WFlags f = 0);
	~GetKeyCardWnd();

protected slots:
	void okButton_slot();

protected:
	Q3VBox *vbox1;
	Q3HBox *hbox1;
	QLabel *text_label;
	QPushButton *okButton;
	QPushButton *cancelButton;

protected:
	void resizeEvent(QResizeEvent *);
};

#endif
